<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:23 PST 2005 -->
<TITLE>
: Class  StoredProcedureDefinitionImpl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/StoredProcedureDefinitionImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SQLSyntaxDefinitionImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/TableDefinitionImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StoredProcedureDefinitionImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.dbdefinition.impl</FONT>
<BR>
Class  StoredProcedureDefinitionImpl</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
        |
        +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
              |
              +--org.eclipse.emf.ecore.impl.EObjectImpl
                    |
                    +--<B>org.eclipse.wst.rdb.internal.models.dbdefinition.impl.StoredProcedureDefinitionImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>StoredProcedureDefinitionImpl</B><DT>extends org.eclipse.emf.ecore.impl.EObjectImpl<DT>implements <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></DL>

<P>
<!-- begin-user-doc -->
 An implementation of the model object '<em><b>Stored Procedure Definition</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 <ul>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isNullInputActionSupported()"><CODE><em>Null Input Action Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isPackageGenerationSupported()"><CODE><em>Package Generation Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isDetermininsticSupported()"><CODE><em>Determininstic Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isReturnedNullSupported()"><CODE><em>Returned Null Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isReturnedTypeDeclarationConstraintSupported()"><CODE><em>Returned Type Declaration Constraint Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isParameterInitValueSupported()"><CODE><em>Parameter Init Value Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isParameterStyleSupported()"><CODE><em>Parameter Style Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isReturnTypeSupported()"><CODE><em>Return Type Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isParameterDeclarationConstraintSupported()"><CODE><em>Parameter Declaration Constraint Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getMaximumActionBodyLength()"><CODE><em>Maximum Action Body Length</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getParameterStyle()"><CODE><em>Parameter Style</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getLanguageType()"><CODE><em>Language Type</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getFunctionLanguageType()"><CODE><em>Function Language Type</em></CODE></A></li>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getProcedureType()"><CODE><em>Procedure Type</em></CODE></A></li>
 </ul>
 </p>
<P>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.InternalEObject.EStore</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ELAST_EOBJECT_FLAG</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>EOPPOSITE_FEATURE_BASE</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)">eGet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     boolean&nbsp;resolve)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#eIsSet(org.eclipse.emf.ecore.EStructuralFeature)">eIsSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)">eSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     java.lang.Object&nbsp;newValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#eUnset(org.eclipse.emf.ecore.EStructuralFeature)">eUnset</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getFunctionLanguageType()">getFunctionLanguageType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getLanguageType()">getLanguageType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getMaximumActionBodyLength()">getMaximumActionBodyLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getParameterStyle()">getParameterStyle</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#getProcedureType()">getProcedureType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isDetermininsticSupported()">isDetermininsticSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isNullInputActionSupported()">isNullInputActionSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isPackageGenerationSupported()">isPackageGenerationSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isParameterDeclarationConstraintSupported()">isParameterDeclarationConstraintSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isParameterInitValueSupported()">isParameterInitValueSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isParameterStyleSupported()">isParameterStyleSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isReturnedNullSupported()">isReturnedNullSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isReturnedTypeDeclarationConstraintSupported()">isReturnedTypeDeclarationConstraintSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#isReturnTypeSupported()">isReturnTypeSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setDetermininsticSupported(boolean)">setDetermininsticSupported</A></B>(boolean&nbsp;newDetermininsticSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setMaximumActionBodyLength(int)">setMaximumActionBodyLength</A></B>(int&nbsp;newMaximumActionBodyLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setNullInputActionSupported(boolean)">setNullInputActionSupported</A></B>(boolean&nbsp;newNullInputActionSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setPackageGenerationSupported(boolean)">setPackageGenerationSupported</A></B>(boolean&nbsp;newPackageGenerationSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setParameterDeclarationConstraintSupported(boolean)">setParameterDeclarationConstraintSupported</A></B>(boolean&nbsp;newParameterDeclarationConstraintSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setParameterInitValueSupported(boolean)">setParameterInitValueSupported</A></B>(boolean&nbsp;newParameterInitValueSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setParameterStyleSupported(boolean)">setParameterStyleSupported</A></B>(boolean&nbsp;newParameterStyleSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setReturnedNullSupported(boolean)">setReturnedNullSupported</A></B>(boolean&nbsp;newReturnedNullSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setReturnedTypeDeclarationConstraintSupported(boolean)">setReturnedTypeDeclarationConstraintSupported</A></B>(boolean&nbsp;newReturnedTypeDeclarationConstraintSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#setReturnTypeSupported(boolean)">setReturnTypeSupported</A></B>(boolean&nbsp;newReturnTypeSupported)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/StoredProcedureDefinitionImpl.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eClass, eContainerFeatureID, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.BasicEObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eInternalResource, eInverseAdd, eInverseRemove, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired, eNotify</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="isNullInputActionSupported()"><!-- --></A><H3>
isNullInputActionSupported</H3>
<PRE>
public boolean <B>isNullInputActionSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isNullInputActionSupported()">isNullInputActionSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Null Input Action Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setNullInputActionSupported(boolean)"><CODE>StoredProcedureDefinition.setNullInputActionSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_NullInputActionSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_NullInputActionSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setNullInputActionSupported(boolean)"><!-- --></A><H3>
setNullInputActionSupported</H3>
<PRE>
public void <B>setNullInputActionSupported</B>(boolean&nbsp;newNullInputActionSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setNullInputActionSupported(boolean)">setNullInputActionSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Null Input Action Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isNullInputActionSupported()"><CODE>StoredProcedureDefinition.isNullInputActionSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isPackageGenerationSupported()"><!-- --></A><H3>
isPackageGenerationSupported</H3>
<PRE>
public boolean <B>isPackageGenerationSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isPackageGenerationSupported()">isPackageGenerationSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Package Generation Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setPackageGenerationSupported(boolean)"><CODE>StoredProcedureDefinition.setPackageGenerationSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_PackageGenerationSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_PackageGenerationSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setPackageGenerationSupported(boolean)"><!-- --></A><H3>
setPackageGenerationSupported</H3>
<PRE>
public void <B>setPackageGenerationSupported</B>(boolean&nbsp;newPackageGenerationSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setPackageGenerationSupported(boolean)">setPackageGenerationSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Package Generation Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isPackageGenerationSupported()"><CODE>StoredProcedureDefinition.isPackageGenerationSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isDetermininsticSupported()"><!-- --></A><H3>
isDetermininsticSupported</H3>
<PRE>
public boolean <B>isDetermininsticSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isDetermininsticSupported()">isDetermininsticSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Determininstic Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setDetermininsticSupported(boolean)"><CODE>StoredProcedureDefinition.setDetermininsticSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_DetermininsticSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_DetermininsticSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDetermininsticSupported(boolean)"><!-- --></A><H3>
setDetermininsticSupported</H3>
<PRE>
public void <B>setDetermininsticSupported</B>(boolean&nbsp;newDetermininsticSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setDetermininsticSupported(boolean)">setDetermininsticSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Determininstic Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isDetermininsticSupported()"><CODE>StoredProcedureDefinition.isDetermininsticSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isReturnedNullSupported()"><!-- --></A><H3>
isReturnedNullSupported</H3>
<PRE>
public boolean <B>isReturnedNullSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isReturnedNullSupported()">isReturnedNullSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Returned Null Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setReturnedNullSupported(boolean)"><CODE>StoredProcedureDefinition.setReturnedNullSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_ReturnedNullSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnedNullSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setReturnedNullSupported(boolean)"><!-- --></A><H3>
setReturnedNullSupported</H3>
<PRE>
public void <B>setReturnedNullSupported</B>(boolean&nbsp;newReturnedNullSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setReturnedNullSupported(boolean)">setReturnedNullSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Returned Null Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isReturnedNullSupported()"><CODE>StoredProcedureDefinition.isReturnedNullSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isReturnedTypeDeclarationConstraintSupported()"><!-- --></A><H3>
isReturnedTypeDeclarationConstraintSupported</H3>
<PRE>
public boolean <B>isReturnedTypeDeclarationConstraintSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isReturnedTypeDeclarationConstraintSupported()">isReturnedTypeDeclarationConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Returned Type Declaration Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setReturnedTypeDeclarationConstraintSupported(boolean)"><CODE>StoredProcedureDefinition.setReturnedTypeDeclarationConstraintSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setReturnedTypeDeclarationConstraintSupported(boolean)"><!-- --></A><H3>
setReturnedTypeDeclarationConstraintSupported</H3>
<PRE>
public void <B>setReturnedTypeDeclarationConstraintSupported</B>(boolean&nbsp;newReturnedTypeDeclarationConstraintSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setReturnedTypeDeclarationConstraintSupported(boolean)">setReturnedTypeDeclarationConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Returned Type Declaration Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isReturnedTypeDeclarationConstraintSupported()"><CODE>StoredProcedureDefinition.isReturnedTypeDeclarationConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isParameterInitValueSupported()"><!-- --></A><H3>
isParameterInitValueSupported</H3>
<PRE>
public boolean <B>isParameterInitValueSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isParameterInitValueSupported()">isParameterInitValueSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parameter Init Value Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setParameterInitValueSupported(boolean)"><CODE>StoredProcedureDefinition.setParameterInitValueSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_ParameterInitValueSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterInitValueSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setParameterInitValueSupported(boolean)"><!-- --></A><H3>
setParameterInitValueSupported</H3>
<PRE>
public void <B>setParameterInitValueSupported</B>(boolean&nbsp;newParameterInitValueSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setParameterInitValueSupported(boolean)">setParameterInitValueSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Parameter Init Value Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isParameterInitValueSupported()"><CODE>StoredProcedureDefinition.isParameterInitValueSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isParameterStyleSupported()"><!-- --></A><H3>
isParameterStyleSupported</H3>
<PRE>
public boolean <B>isParameterStyleSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isParameterStyleSupported()">isParameterStyleSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parameter Style Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setParameterStyleSupported(boolean)"><CODE>StoredProcedureDefinition.setParameterStyleSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_ParameterStyleSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterStyleSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setParameterStyleSupported(boolean)"><!-- --></A><H3>
setParameterStyleSupported</H3>
<PRE>
public void <B>setParameterStyleSupported</B>(boolean&nbsp;newParameterStyleSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setParameterStyleSupported(boolean)">setParameterStyleSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Parameter Style Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isParameterStyleSupported()"><CODE>StoredProcedureDefinition.isParameterStyleSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isReturnTypeSupported()"><!-- --></A><H3>
isReturnTypeSupported</H3>
<PRE>
public boolean <B>isReturnTypeSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isReturnTypeSupported()">isReturnTypeSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Return Type Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setReturnTypeSupported(boolean)"><CODE>StoredProcedureDefinition.setReturnTypeSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_ReturnTypeSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_ReturnTypeSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setReturnTypeSupported(boolean)"><!-- --></A><H3>
setReturnTypeSupported</H3>
<PRE>
public void <B>setReturnTypeSupported</B>(boolean&nbsp;newReturnTypeSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setReturnTypeSupported(boolean)">setReturnTypeSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Return Type Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isReturnTypeSupported()"><CODE>StoredProcedureDefinition.isReturnTypeSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isParameterDeclarationConstraintSupported()"><!-- --></A><H3>
isParameterDeclarationConstraintSupported</H3>
<PRE>
public boolean <B>isParameterDeclarationConstraintSupported</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isParameterDeclarationConstraintSupported()">isParameterDeclarationConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parameter Declaration Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setParameterDeclarationConstraintSupported(boolean)"><CODE>StoredProcedureDefinition.setParameterDeclarationConstraintSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_ParameterDeclarationConstraintSupported()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterDeclarationConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setParameterDeclarationConstraintSupported(boolean)"><!-- --></A><H3>
setParameterDeclarationConstraintSupported</H3>
<PRE>
public void <B>setParameterDeclarationConstraintSupported</B>(boolean&nbsp;newParameterDeclarationConstraintSupported)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setParameterDeclarationConstraintSupported(boolean)">setParameterDeclarationConstraintSupported</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Parameter Declaration Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#isParameterDeclarationConstraintSupported()"><CODE>StoredProcedureDefinition.isParameterDeclarationConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getMaximumActionBodyLength()"><!-- --></A><H3>
getMaximumActionBodyLength</H3>
<PRE>
public int <B>getMaximumActionBodyLength</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#getMaximumActionBodyLength()">getMaximumActionBodyLength</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Maximum Action Body Length</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setMaximumActionBodyLength(int)"><CODE>StoredProcedureDefinition.setMaximumActionBodyLength(int)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_MaximumActionBodyLength()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_MaximumActionBodyLength()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setMaximumActionBodyLength(int)"><!-- --></A><H3>
setMaximumActionBodyLength</H3>
<PRE>
public void <B>setMaximumActionBodyLength</B>(int&nbsp;newMaximumActionBodyLength)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#setMaximumActionBodyLength(int)">setMaximumActionBodyLength</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Maximum Action Body Length</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#getMaximumActionBodyLength()"><CODE>StoredProcedureDefinition.getMaximumActionBodyLength()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getParameterStyle()"><!-- --></A><H3>
getParameterStyle</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getParameterStyle</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#getParameterStyle()">getParameterStyle</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parameter Style</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html"><CODE>ParameterStyle</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_ParameterStyle()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_ParameterStyle()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getLanguageType()"><!-- --></A><H3>
getLanguageType</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getLanguageType</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#getLanguageType()">getLanguageType</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Language Type</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html"><CODE>LanguageType</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_LanguageType()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_LanguageType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getFunctionLanguageType()"><!-- --></A><H3>
getFunctionLanguageType</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getFunctionLanguageType</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#getFunctionLanguageType()">getFunctionLanguageType</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Function Language Type</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html"><CODE>LanguageType</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_FunctionLanguageType()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_FunctionLanguageType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getProcedureType()"><!-- --></A><H3>
getProcedureType</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getProcedureType</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html#getProcedureType()">getProcedureType</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.dbdefinition.StoredProcedureDefinition</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Procedure Type</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ProcedureType.html"><CODE>ProcedureType</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getStoredProcedureDefinition_ProcedureType()"><CODE>DatabaseDefinitionPackage.getStoredProcedureDefinition_ProcedureType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)"><!-- --></A><H3>
eGet</H3>
<PRE>
public java.lang.Object <B>eGet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                             boolean&nbsp;resolve)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eGet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eGet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)"><!-- --></A><H3>
eSet</H3>
<PRE>
public void <B>eSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                 java.lang.Object&nbsp;newValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eSet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eUnset(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eUnset</H3>
<PRE>
public void <B>eUnset</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eUnset</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eUnset</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eIsSet(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eIsSet</H3>
<PRE>
public boolean <B>eIsSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eIsSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE>eIsSet</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>org.eclipse.emf.ecore.impl.BasicEObjectImpl</CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/StoredProcedureDefinitionImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/SQLSyntaxDefinitionImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/TableDefinitionImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="StoredProcedureDefinitionImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
